{
  "name": "ssb-ahau",
  "version": "17.0.0",
  "description": "An application for gathering and sharing whakapapa (family trees, traditional knowledge). Built using scuttlebutt",
  "repository": {
    "type": "git",
    "url": "git+ssh://git@gitlab.com/ahau/lib/ssb-plugins/ssb-ahau.git"
  },
  "main": "index.js",
  "scripts": {
    "test": "npm run test:js && npm run test:only && npm run lint",
    "test:raw": "cross-env NODE_ENV=test tape 'test/**/*.test.js'",
    "test:js": "npm run test:raw | tap-arc",
    "test:only": "if grep -r --exclude-dir=node_modules --exclude-dir=.git --color 'test\\.only' .; then exit 1; fi",
    "lint": "standard --fix",
    "generate:migration": "node src/lib/generate-migration.js"
  },
  "dependencies": {
    "@ssb-graphql/artefact": "^5.0.1",
    "@ssb-graphql/invite": "^2.0.0",
    "@ssb-graphql/main": "^11.0.0",
    "@ssb-graphql/profile": "^9.0.1",
    "@ssb-graphql/settings": "^2.0.1",
    "@ssb-graphql/story": "^4.0.1",
    "@ssb-graphql/submissions": "^5.0.0",
    "@ssb-graphql/tribes": "^4.0.0",
    "@ssb-graphql/whakapapa": "^7.0.1",
    "ahau-env": "^3.0.0",
    "ahau-graphql-server": "^1.2.2",
    "graphql-tag": "^2.12.6",
    "lodash.omit": "^4.5.0",
    "obz": "^1.1.1",
    "pull-flatmap": "^0.0.1",
    "pull-many": "^1.0.9",
    "pull-merge": "^1.0.4",
    "pull-paramap": "^1.2.2",
    "pull-stream": "^3.7.0",
    "rimraf": "^3.0.2",
    "ssb-atala-prism": "^1.1.0",
    "ssb-migrate": "^1.3.0",
    "ssb-submissions": "^2.0.0",
    "systeminformation": "^5.22.0"
  },
  "devDependencies": {
    "ahau-graphql-client": "^2.0.0",
    "cross-env": "^7.0.3",
    "node-fetch": "^2.7.0",
    "scuttle-testbot": "^2.2.0",
    "ssb-artefact": "^4.0.0",
    "ssb-blobs": "^2.0.1",
    "ssb-box2": "^7.5.0",
    "ssb-classic": "^1.1.0",
    "ssb-conn": "^1.0.0",
    "ssb-db2": "^8.1.0",
    "ssb-friends": "^4.4.10",
    "ssb-hyper-blobs": "^4.1.0",
    "ssb-invite": "^2.1.8",
    "ssb-lan": "^1.2.3",
    "ssb-profile": "^7.0.2",
    "ssb-recps-guard": "^2.3.1",
    "ssb-settings": "^2.0.0",
    "ssb-story": "^3.0.0",
    "ssb-tribes": "^4.0.0",
    "ssb-tribes-registration": "^2.0.0",
    "ssb-whakapapa": "^4.0.0",
    "standard": "^17.1.0",
    "tap-arc": "^1.2.2",
    "tape": "^4.17.0"
  },
  "author": "Āhau Ltd.",
  "bugs": {
    "url": "https://gitlab.com/ahau/ssb-ahau/issues"
  },
  "homepage": "https://gitlab.com/ahau/ssb-ahau#readme",
  "license": "AGPL-3.0",
  "engines": {
    "node": ">=14"
  }
}
